/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.cluster.test;

import org.objectweb.sampleCluster2.client.ClientFOSFSB;
import org.objectweb.sampleCluster2.client.ClientLBHome;
import org.objectweb.sampleCluster2.client.ClientLBLookup;
import org.objectweb.sampleCluster2.client.ClientLBRemote;

import junit.framework.TestCase;
import junit.framework.TestSuite;
/**
 *
 * @author Nicolas Duvauchel
 *
 */
public class ClientTest extends TestCase {

	public static void main(String args[]) {
		junit.textui.TestRunner.run(suite());
	}

	public static TestSuite suite() {
		return new TestSuite(ClientTest.class);
	}

	public ClientTest(String s) {
		super(s);
	}

	protected void setUp() throws Exception {
	}

	public void testLBHome() throws Exception {
		System.out.println("testLBHome");
		String[] args = null;
		int result = ClientLBHome.main(args);
		System.out.println("fin testLBHome");
		if (result != 0) {
			fail("on test LB Home");
		}
	}

	public void testFOSFSB() throws Exception {
		System.out.println("testFOSFSB");
		String[] args = null;
		int result = ClientFOSFSB.main(args);
		if (result != 0) {
			fail("on test LB Home");
		}
	}

	public void testLBLookup() throws Exception {
		System.out.println("testLBLookup");
		String[] args = null;
		int result = ClientLBLookup.main(args);
		if (result != 0) {
			fail("on test LB Home");
		}
	}

	public void testLBRemote() throws Exception {
		System.out.println("testLBRemote");
		String[] args = null;
		int result = ClientLBRemote.main(args);
		if (result != 0) {
			fail("on test LB Home");
		}
	}

}
